# DropPanel (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.puzzle.drop.client
Interface DropPanel

    public interface DropPanel

Puzzles using the drop services need implement this interface to display drop puzzle related information.

Method Summary
`void` `setNextBlock(int[] pieces)` Sets the next block to be displayed.
`void` `setSummary(int pidx, BoardSummary summary)` Updates the board summary display for the given player.

Method Detail

### setNextBlock

    void setNextBlock(int[] pieces)

  Sets the next block to be displayed.

### setSummary

    void setSummary(int pidx,
                    BoardSummary summary)

  Updates the board summary display for the given player.

Copyright © 2011. All Rights Reserved.